FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends
Fl_Bitmap Class Reference

The Fl_Bitmap class supports caching and drawing of mono-color (bitmap) images. More...

`#include <Fl_Bitmap.H>`

Inheritance diagram for Fl_Bitmap:

List of all members.

## Public Member Functions
virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image.
Fl_Image * | copy ()
| The copy() method creates a copy of the specified image.
virtual void | draw (int X, int Y, int W, int H, int cx=0, int cy=0)
| Draws the image with a bounding box.
void | draw (int X, int Y)
| Draws the image.
| Fl_Bitmap (const uchar *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
| Fl_Bitmap (const char *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
virtual void | label (Fl_Widget *w)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | label (Fl_Menu_Item *m)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | uncache ()
| If the image has been cached for display, delete the cache data.
virtual | ~Fl_Bitmap ()
| The destructor free all memory and server resources that are used by the bitmap.
## Public Attributes
int | alloc_array
| Non-zero if array points to bitmap data allocated internally.
const uchar * | array
| pointer to raw bitmap data
## Friends
class | Fl_GDI_Graphics_Driver
class | Fl_Quartz_Graphics_Driver
class | Fl_Xlib_Graphics_Driver

## Detailed Description

The Fl_Bitmap class supports caching and drawing of mono-color (bitmap) images.

Images are drawn using the current color.

## Constructor & Destructor Documentation

Fl_Bitmap::Fl_Bitmap | ( | const uchar * | bits,
|  | int | W,
|  | int | H
| ) |  | `[inline]`

The constructors create a new bitmap from the specified bitmap data.

Fl_Bitmap::Fl_Bitmap | ( | const char * | array,
|  | int | W,
|  | int | H
| ) |  | `[inline]`

The constructors create a new bitmap from the specified bitmap data.

## Member Function Documentation

Fl_Image * Fl_Bitmap::copy | ( | int | W,
|  | int | H
| ) |  | `[virtual]`

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

Fl_Image* Fl_Bitmap::copy | ( |  | ) | `[inline]`

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

void Fl_Bitmap::draw | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | cx = `0`,
|  | int | cy = `0`
| ) |  | `[virtual]`

Draws the image with a bounding box.

This form specifies a bounding box for the image, with the origin (upper-lefthand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Image.

void Fl_Bitmap::draw | ( | int | X,
|  | int | Y
| ) |  | `[inline]`

Draws the image.

This form specifies the upper-lefthand corner of the image.

Reimplemented from Fl_Image.

void Fl_Bitmap::label | ( | Fl_Widget * | widget | ) | `[virtual]`

The label() methods are an obsolete way to set the image attribute of a widget or menu item.

Use the image() or deimage() methods of the Fl_Widget and Fl_Menu_Item classes instead.

Reimplemented from Fl_Image.

void Fl_Bitmap::label | ( | Fl_Menu_Item * | m | ) | `[virtual]`

The label() methods are an obsolete way to set the image attribute of a widget or menu item.

Use the image() or deimage() methods of the Fl_Widget and Fl_Menu_Item classes instead.

Reimplemented from Fl_Image.

void Fl_Bitmap::uncache | ( |  | ) | `[virtual]`

If the image has been cached for display, delete the cache data.

This allows you to change the data used for the image and then redraw it without recreating an image object.

Reimplemented from Fl_Image.

The documentation for this class was generated from the following files:

- Fl_Bitmap.H
- Fl_Bitmap.cxx